/**
 *  SeekQuarry/Yioop --
 *  Open Source Pure PHP Search Engine, Crawler, and Indexer
 *
 *  Copyright (C) 2009 - 2013  Chris Pollett chris@pollett.org
 *
 *  LICENSE:
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  END LICENSE
 *
 * @author Snigdha Rao Parvatneni
 * @package seek_quarry
 * @subpackage javascript
 * @license http://www.gnu.org/licenses/ GPL3
 * @link http://www.seekquarry.com/
 * @copyright 2009 - 2013s
 * @filesource
 */

/*
 * The alphabet for this locale
 */
var alpha = "অআইঈউঊঋঌএঐওঔৎককাকিকীকুকূকৃকৄকেকৈকোকৌখখাখিখীখুখূখৃখৄখেখৈখোখৌগগাগিগীগুগূগৃগৄগেগৈগোগৌঘঘাঘিঘী"+
"ঘুঘূঘৃঘৄঘেঘৈঘোঘৌঙঙাঙিঙীঙুঙূঙৃঙৄঙেঙৈঙোঙৌচচাচিচীচুচূচৃচৄচেচৈচোচৌছছাছিছীছুছূছৃছৄছেছৈছোছৌজজাজিজীজুজূজৃজৄজেজৈজোজৌঝঝাঝিঝীঝু"+
"ঝূঝৃঝৄঝেঝৈঝোঝৌঞঞাঞিঞীঞুঞূঞৃঞৄঞেঞৈঞোঞৌটটাটিটীটুটূটৃটৄটেটৈটোটৌঠঠাঠিঠীঠুঠূঠৃঠৄঠেঠৈঠোঠৌডডাডিডীডুডূডৃডৄডেডৈডোডৌঢঢাঢিঢীঢু"+
"ঢূঢৃঢৄঢেঢৈঢোঢৌণণাণিণীণুণূণৃণৄণেণৈণোণৌততাতিতীতুতূতৃতৄতেতৈতোতৌথথাথিথীথুথূথৃথৄথেথৈথোথৌদদাদিদীদুদূদৃদৄদেদৈদোদৌধধাধিধীধুধূধৃধৄধেধৈ"+
"ধোধৌননানিনীনুনূনৃনৄনেনৈনোনৌপপাপিপীপুপূপৃপৄপেপৈপোপৌফফাফিফীফুফূফৃফৄফেফৈফোফৌববাবিবীবুবূবৃবৄবেবৈবোবৌভভাভিভীভুভূভৃভৄভেভৈ"+
"ভোভৌমমামিমীমুমূমৃমৄমেমৈমোমৌযযাযিযীযুযূযৃযৄযেযৈযোযৌররারিরীরুরূরৃরৄরেরৈরোরৌললালিলীলুলূলৃলৄলেলৈলোলৌশশাশিশীশুশূশৃশৄশেশৈশোশৌ"+
"ষষাষিষীষুষূষৃষৄষেষৈষোষৌসসাসিসীসুসূসৃসৄসেসৈসোসৌহহাহিহীহুহূহৃহৄহেহৈহোহৌয়য়ায়িয়ীয়ুয়ূয়ৃয়ৄয়েয়ৈয়োয়ৌড়ড়াড়িড়ীড়ুড়ূড়ৃড়ৄড়েড়ৈড়োড়ৌঢ়ঢ়াঢ়িঢ়ীঢ়ুঢ়ূ"+
"ঢ়ৃঢ়ৄঢ়েঢ়ৈঢ়োঢ়ৌক্কক্খক্গক্ঘক্ঙক্চক্ছক্জক্ঝক্ঞক্টক্ঠক্ডক্ঢক্ণক্তক্থক্দক্ধক্নক্পক্ফক্বক্ভক্মক্যক্রক্লক্শক্ষক্সক্হখ্কখ্খখ্গখ্ঘখ্ঙখ্চখ্ছখ্জখ্ঝখ্ঞ"+
"খ্টখ্ঠখ্ডখ্ঢখ্ণখ্তখ্থখ্দখ্ধখ্নখ্পখ্ফখ্বখ্ভখ্মখ্যখ্রখ্লখ্শখ্ষখ্সখ্হগ্কগ্খগ্গগ্ঘগ্ঙগ্চগ্ছগ্জগ্ঝগ্ঞগ্টগ্ঠগ্ডগ্ঢগ্ণগ্তগ্থগ্দগ্ধগ্নগ্পগ্ফগ্বগ্ভগ্মগ্যগ্রগ্লগ্শগ্ষগ্সগ্হ"+
"ঘ্কঘ্খঘ্গঘ্ঘঘ্ঙঘ্চঘ্ছঘ্জঘ্ঝঘ্ঞঘ্টঘ্ঠঘ্ডঘ্ঢঘ্ণঘ্তঘ্থঘ্দঘ্ধঘ্নঘ্পঘ্ফঘ্বঘ্ভঘ্মঘ্যঘ্রঘ্লঘ্শঘ্ষঘ্সঘ্হঙ্কঙ্খঙ্গঙ্ঘঙ্ঙঙ্চঙ্ছঙ্জঙ্ঝঙ্ঞঙ্টঙ্ঠঙ্ডঙ্ঢঙ্ণ"+
"ঙ্তঙ্থঙ্দঙ্ধঙ্নঙ্পঙ্ফঙ্বঙ্ভঙ্মঙ্যঙ্রঙ্লঙ্শঙ্ষঙ্সঙ্হচ্কচ্খচ্গচ্ঘচ্ঙচ্চচ্ছচ্জচ্ঝচ্ঞচ্টচ্ঠচ্ডচ্ঢচ্ণচ্তচ্থচ্দচ্ধচ্নচ্পচ্ফচ্বচ্ভচ্মচ্যচ্রচ্লচ্শচ্ষচ্সচ্হছ্কছ্খছ্গছ্ঘছ্ঙ"+
"ছ্চছ্ছছ্জছ্ঝছ্ঞছ্টছ্ঠছ্ডছ্ঢছ্ণছ্তছ্থছ্দছ্ধছ্নছ্পছ্ফছ্বছ্ভছ্মছ্যছ্রছ্লছ্শছ্ষছ্সছ্হজ্কজ্খজ্গজ্ঘজ্ঙজ্চজ্ছজ্জজ্ঝজ্ঞজ্টজ্ঠজ্ডজ্ঢজ্ণজ্তজ্থজ্দজ্ধজ্নজ্পজ্ফ"+
"জ্বজ্ভজ্মজ্যজ্রজ্লজ্শজ্ষজ্সজ্হঝ্কঝ্খঝ্গঝ্ঘঝ্ঙঝ্চঝ্ছঝ্জঝ্ঝঝ্ঞঝ্টঝ্ঠঝ্ডঝ্ঢঝ্ণঝ্তঝ্থঝ্দঝ্ধঝ্নঝ্পঝ্ফঝ্বঝ্ভঝ্মঝ্যঝ্রঝ্লঝ্শঝ্ষঝ্সঝ্হঞ্কঞ্খঞ্গঞ্ঘঞ্ঙ"+
"ঞ্চঞ্ছঞ্জঞ্ঝঞ্ঞঞ্টঞ্ঠঞ্ডঞ্ঢঞ্ণঞ্তঞ্থঞ্দঞ্ধঞ্নঞ্পঞ্ফঞ্বঞ্ভঞ্মঞ্যঞ্রঞ্লঞ্শঞ্ষঞ্সঞ্হট্কট্খট্গট্ঘট্ঙট্চট্ছট্জট্ঝট্ঞট্টট্ঠট্ডট্ঢট্ণট্তট্থট্দট্ধ"+
"ট্নট্পট্ফট্বট্ভট্মট্যট্রট্লট্শট্ষট্সট্হঠ্কঠ্খঠ্গঠ্ঘঠ্ঙঠ্চঠ্ছঠ্জঠ্ঝঠ্ঞঠ্টঠ্ঠঠ্ডঠ্ঢঠ্ণঠ্তঠ্থঠ্দঠ্ধঠ্নঠ্পঠ্ফঠ্বঠ্ভঠ্মঠ্যঠ্রঠ্লঠ্শঠ্ষঠ্সঠ্হড্কড্খড্গড্ঘড্ঙড্চড্ছড্জড্ঝড্ঞ"+
"ড্টড্ঠড্ডড্ঢড্ণড্তড্থড্দড্ধড্নড্পড্ফড্বড্ভড্মড্যড্রড্লড্শড্ষড্সড্হঢ্কঢ্খঢ্গঢ্ঘঢ্ঙঢ্চঢ্ছঢ্জঢ্ঝঢ্ঞঢ্টঢ্ঠঢ্ডঢ্ঢঢ্ণঢ্তঢ্থঢ্দঢ্ধঢ্নঢ্পঢ্ফঢ্বঢ্ভঢ্মঢ্যঢ্রঢ্লঢ্শ"+
"ঢ্ষঢ্সঢ্হণ্কণ্খণ্গণ্ঘণ্ঙণ্চণ্ছণ্জণ্ঝণ্ঞণ্টণ্ঠণ্ডণ্ঢণ্ণণ্তণ্থণ্দণ্ধণ্নণ্পণ্ফণ্বণ্ভণ্মণ্যণ্রণ্লণ্শণ্ষণ্সণ্হত্কত্খত্গত্ঘত্ঙত্চত্ছত্জত্ঝত্ঞত্টত্ঠত্ডত্ঢত্ণত্তত্থত্দত্ধত্ন"+
"ত্পত্ফত্বত্ভত্মত্যত্রত্লত্শত্ষত্সত্হথ্কথ্খথ্গথ্ঘথ্ঙথ্চথ্ছথ্জথ্ঝথ্ঞথ্টথ্ঠথ্ডথ্ঢথ্ণথ্তথ্থথ্দথ্ধথ্নথ্পথ্ফথ্বথ্ভথ্মথ্যথ্রথ্লথ্শথ্ষথ্সথ্হদ্কদ্খদ্গদ্ঘদ্ঙদ্চ"+
"দ্ছদ্জদ্ঝদ্ঞদ্টদ্ঠদ্ডদ্ঢদ্ণদ্তদ্থদ্দদ্ধদ্নদ্পদ্ফদ্বদ্ভদ্মদ্যদ্রদ্লদ্শদ্ষদ্সদ্হধ্কধ্খধ্গধ্ঘধ্ঙধ্চধ্ছধ্জধ্ঝধ্ঞধ্টধ্ঠধ্ডধ্ঢধ্ণধ্তধ্থধ্দধ্ধধ্নধ্পধ্ফধ্বধ্ভধ্মধ্যধ্রধ্লধ্শ"+
"ধ্ষধ্সধ্হন্কন্খন্গন্ঘন্ঙন্চন্ছন্জন্ঝন্ঞন্টন্ঠন্ডন্ঢন্ণন্তন্থন্দন্ধন্নন্পন্ফন্বন্ভন্মন্যন্রন্লন্শন্ষন্সন্হপ্কপ্খপ্গপ্ঘপ্ঙপ্চপ্ছপ্জপ্ঝপ্ঞপ্টপ্ঠপ্ডপ্ঢপ্ণপ্তপ্থপ্দপ্ধপ্নপ্প"+
"প্ফপ্বপ্ভপ্মপ্যপ্রপ্লপ্শপ্ষপ্সপ্হফ্কফ্খফ্গফ্ঘফ্ঙফ্চফ্ছফ্জফ্ঝফ্ঞফ্টফ্ঠফ্ডফ্ঢফ্ণফ্তফ্থফ্দফ্ধফ্নফ্পফ্ফফ্বফ্ভফ্মফ্যফ্রফ্লফ্শফ্ষফ্সফ্হব্কব্খব্গব্ঘব্ঙব্চব্ছব্জব্ঝব্ঞ"+
"ব্টব্ঠব্ডব্ঢব্ণব্তব্থব্দব্ধব্নব্পব্ফব্বব্ভব্মব্যব্রব্লব্শব্ষব্সব্হভ্কভ্খভ্গভ্ঘভ্ঙভ্চভ্ছভ্জভ্ঝভ্ঞভ্টভ্ঠভ্ডভ্ঢভ্ণভ্তভ্থভ্দভ্ধভ্নভ্পভ্ফভ্বভ্ভভ্মভ্যভ্রভ্লভ্শভ্ষভ্সভ্হম্ক"+
"ম্খম্গম্ঘম্ঙম্চম্ছম্জম্ঝম্ঞম্টম্ঠম্ডম্ঢম্ণম্তম্থম্দম্ধম্নম্পম্ফম্বম্ভম্মম্যম্রম্লম্শম্ষম্সম্হয্কয্খয্গয্ঘয্ঙয্চয্ছয্জয্ঝয্ঞয্টয্ঠয্ডয্ঢয্ণয্তয্থয্দয্ধয্নয্প"+
"য্ফয্বয্ভয্ময্যয্রয্লয্শয্ষয্সয্হর্কর্খর্গর্ঘর্ঙর্চর্ছর্জর্ঝর্ঞর্টর্ঠর্ডর্ঢর্ণর্তর্থর্দর্ধর্নর্পর্ফর্বর্ভর্মর্যর্রর্লর্শর্ষর্সর্হল্কল্খল্গল্ঘল্ঙল্চল্ছল্জল্ঝল্ঞল্টল্ঠল্ডল্ঢল্ণল্তল্থল্দল্ধল্নল্পল্ফল্বল্ভল্মল্যল্রল্লল্শ"+
"ল্ষল্সল্হশ্কশ্খশ্গশ্ঘশ্ঙশ্চশ্ছশ্জশ্ঝশ্ঞশ্টশ্ঠশ্ডশ্ঢশ্ণশ্তশ্থশ্দশ্ধশ্নশ্পশ্ফশ্বশ্ভশ্মশ্যশ্রশ্লশ্শশ্ষশ্সশ্হষ্কষ্খষ্গষ্ঘষ্ঙষ্চষ্ছষ্জষ্ঝষ্ঞষ্টষ্ঠষ্ডষ্ঢষ্ণষ্তষ্থষ্দষ্ধষ্নষ্পষ্ফষ্বষ্ভষ্মষ্য"+
"ষ্রষ্লষ্শষ্ষষ্সষ্হস্কস্খস্গস্ঘস্ঙস্চস্ছস্জস্ঝস্ঞস্টস্ঠস্ডস্ঢস্ণস্তস্থস্দস্ধস্নস্পস্ফস্বস্ভস্মস্যস্রস্লস্শস্ষস্সস্হহ্কহ্খহ্গহ্ঘহ্ঙহ্চহ্ছহ্জহ্ঝহ্ঞহ্টহ্ঠহ্ডহ্ঢহ্ণহ্তহ্থহ্দহ্ধহ্নহ্প"+
"হ্ফহ্বহ্ভহ্মহ্যহ্রহ্লহ্শহ্ষহ্সহ্হকঁকংকঃক়কৄকৢকৣখঁখংখঃখ়খৄখৢখৣগঁগংগঃগ়গৄগৢগৣঘঁঘংঘঃঘ়ঘৄঘৢঘৣঙঁঙংঙঃঙ়ঙৄঙৢঙৣক্ষঁক্ষংক্ষঃক্ষ়ক্ষৄক্ষৢক্ষৣচঁচংচঃচ়চৄচৢচৣছঁছংছঃছ়ছৄছৢছৣজঁজংজঃজ়জৄজৢজৣঝঁঝং"+
"ঝঃঝ়ঝৄঝৢঝৣঞঁঞংঞঃঞ়ঞৄঞৢঞৣটঁটংটঃট়টৄটৢটৣঠঁঠংঠঃঠ়ঠৄঠৢঠৣডঁডংডঃড়ডৄডৢডৣঢঁঢংঢঃঢ়ঢৄঢৢঢৣণঁণংণঃণ়ণৄণৢণৣড়ঁড়ংড়ঃড়়ড়ৄড়ৢড়ৣঢ়ঁঢ়ংঢ়ঃঢ়়ঢ়ৄঢ়ৢঢ়ৣতঁতংথঃথ়তৄতৢতৣথঁথংথঃথ়থৄথৢথৣদঁদংদঃদ়দৄদৢদৣধঁ"+
"ধংধঃধ়ধৄধৢধৣনঁনংনঃন়নৄনৢনৣৎঁৎংৎঃৎ়ৎৄৎৢৎৣপঁপংপঃপ়পৄপৢপৣফঁফংফঃফ়ফৄফৢফৣবঁবংবঃব়বৄবৢবৣভঁভংভঃভ়ভৄভৢভৣমঁমংমঃম়মৄমৢমৣযঁযংযঃয়যৄযৢযৣরঁরংরঃর়রৄরৢরৣলঁলংলঃল়লৄলৢলৣশঁশংশঃ"+
"শ়শৄশৢশৣষঁষংষঃষ়ষৄষৢষৣসঁসংসঃস়সৄসৢসৣহঁহংহঃহ়হৄহৢহৣয়ঁয়ংয়ঃয়়য়ৄয়ৢয়ৣ";

/*
 * Transliteration maping for this locale
 */
var roman_array = {};

/*
 * To analyze the query and generate actual input query from the
 * transliterated query
 */
function analyzeQuery()
{
}
